// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_VariableGet.h"
#include "K2Node_VariableGet.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_VariableGet::SCW_UK2Node_VariableGet(UK2Node_VariableGet* InK2Node_VariableGet) : SCW_UK2Node_Variable(InK2Node_VariableGet), K2Node_VariableGet(InK2Node_VariableGet)
{

}

UK2Node_VariableGet* SCW_UK2Node_VariableGet::ToUK2Node_VariableGet() const
{
	return K2Node_VariableGet;
}

ISCW_UK2Node_VariableGetPtr SCW_UK2Node_VariableGet::ToUK2Node_VariableGetPtr()
{
	return GetSharedThisAs<SCW_UK2Node_VariableGet>();
}

ISCW_UK2Node_VariableGetConstPtr SCW_UK2Node_VariableGet::ToUK2Node_VariableGetPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_VariableGet>();
}